<?php
//admin interface

// create custom plugin settings menu
add_action('admin_menu', 'cabGrid_create_menu');


function cabGrid_create_menu() {

	//create new top-level menu
	add_menu_page('Cab Grid', 'Cab Grid', 'administrator', __FILE__, 'cabGrid_settings_page',plugin_dir_url( __FILE__ ) . 'admin-menu-icon.png' );

	//call register settings function
	add_action( 'admin_init', 'cabGrid_settings' );
}
function cabGrid_settings() {
	
	//register our settings
	register_setting( 'cabGrid-settings-group', 'cabGrid_Places' );
	register_setting( 'cabGrid-settings-group', 'cabGrid_Prices' );
	register_setting( 'cabGrid-settings-group', 'cabGrid_Options' );
}

function cabGrid_settings_page() {
	$cabGridDomain=get_option("siteurl");
?>
<style>
	.cabGrid .off {display:none;}
	.cabGrid .left {text-align:left;}
	.cabGrid #cabGrid-header {}
	.cabGrid #cabGrid-header > div {display:inline-block;width:47%;padding:1%;vertical-align:top;}
	.cabGrid #cabGrid-header div ul {list-style:disc;margin-left: 2%;}
	.cabGrid #cabGrid-tabs {margin:20px 0 10px 0;}
	.cabGrid #cabGrid-tabs ul {list-style:none;margin:0;padding:0;border-bottom:1px solid #aaa;text-transform:uppercase;}
	.cabGrid #cabGrid-tabs ul li {display:inline;padding:10px 10px 2px 10px;cursor:pointer;margin-right:10px;background-color:#999;color:#fff;}
	.cabGrid #cabGrid-tabs ul li.cgExtr {background-color:#D9DEEA;color:#AAA9C5;float:right;}
	.cabGrid #cabGrid-tabs ul li.active {background-color:#ccc;color:#444;}
	.cabGrid .cabGrid-tab-body {position:relative;}
	.cabGrid table.grid {width:100%;border-collapse:collapse;border:1px solid #f7f7f7;}
	.cabGrid table.grid th {font-weight:bold;padding:4px;}
	.cabGrid table.grid th.from,.from {background-color:#bbb;}
	.cabGrid table.grid th.to,.to {background-color:#fff;}
	.cabGrid table.grid th span {display:inline-block;width:50%;padding:4px 0;text-align:left;}
	.cabGrid table.grid th span.to {float:right;}
	.cabGrid table.grid tr:hover {background-color:rgba(222,222,222,0.3);}
	.cabGrid table.grid tr:hover th {color:#888;background-color:rgba(222,222,222,0.3);}
	.cabGrid table.grid tr td {text-align:center;}
	.cabGrid table.grid tr td:hover {background-color:rgba(192,192,192,0.3);}
	.cabGrid table.grid input {max-width:5em;margin:4px 1px;}
	.cabGrid .cabGridWarning {font-weight:bold;color:red;}
	.cabGrid .cabGridAttention {font-weight:bold;border:2px solid #ccccef;border-radius:4px;padding:2%;margin:2%;text-align:center;font-size:110%;background-color:#fffff0;color:#6D6DFF;}
	.cabGrid .cabGridAttention b {font-size:125%;color:#ff6d6d;}
	.cabGrid .cabGridPromo {width: 30%;max-width: 300px;/* float: right; *//* clear: right; */position: absolute;right: 10px; top:20px;background-color:#faea00;box-shadow:0px 0px 10px 1px rgba(0,0,0,0.2);}
	.cabGrid .cabGridPromo iframe {width:100%;height:345px;}
	.cabGrid .cabGridPromo img {width:100%;}
	.cabGrid .promoPad {padding-right:35%;}
	
	@media only screen and ( max-width: 767px ) {
		.cabGrid .cabGridPromo {position:static;width:100%;float: none;clear: both;height:225px;margin:0 auto;max-width:100%;padding:0;}
		.cabGrid .cabGridPromo iframe {height:225px;}
		.cabGrid .promoPad {padding-right:0;}
	}
</style>
<div class="cabGrid admin wrap">
<h2>Cab Grid</h2>
<?php if ( isset($_REQUEST['settings-updated']) ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Cab Grid Options saved!', 'cabGrid' ); ?></strong></p></div>
<?php endif; ?>
<div id="cabGrid-header">
	<div>
		<h3><?php _e('Quick Start','cab-grid');?></h3>
		<ol>
			<li><?php _e('Specify all of the areas/places your want to cover in the AREAS tab.','cab-grid');?></li>
			<li><?php _e('SAVE CHANGES','cab-grid');?></li>
			<li><?php _e('Enter prices for journeys between these areas in the PRICES tab.','cab-grid');?></li>
			<li><?php _e('SAVE CHANGES','cab-grid');?></li>
			<li><?php _e('Type the shortcode <b>[cabGrid]</b> where you want to display the calculator or drag the widget to your sidebar area.','cab-grid');?></li>
		</ol>
	</div>
	<div>
		<h3><?php _e('Want more?... Upgrade!','cab-grid');?></h3>
		<p><?php _e('This is the basic version of Cab Grid.','cab-grid');?> <?php _e('For advanced features consider upgrading to','cab-grid');?> <a href="http://get.cabgrid.com/basic.php?d=<?php echo $cabGridDomain; ?>" title="Find out more about Cab Grid Pro">Cab Grid Pro</a> <?php _e('or','cab-grid');?> <a href="https://taximap.co.uk" title="Map based taxi price calculator">TaxiMap</a>.</p>
		<p><strong>Cab Grid Pro</strong> <?php _e('provides the following additional features','cab-grid');?>:
			<ul>
				<li><?php _e('Price variation for different vehicles','cab-grid');?></li>
				<li><?php _e('Unlimited places/areas','cab-grid');?></li>
				<li><?php _e('Integrated booking form','cab-grid');?></li>
				<li><?php _e('Take credit card payments via Paypal','cab-grid');?></li>
				<li><?php _e('More','cab-grid');?>...</li>
			</ul>
		</p>
	</div>
</div>
<div id="cabGrid-tabs">
	<ul>
		<li class="active" id="CGT-Areas"><?php _e('Areas','cab-grid');?></li>
		<li id="CGT-Prices"><?php _e('Prices','cab-grid');?></li>
		<li id="CGT-Options"><?php _e('Options','cab-grid');?></li>
		<!--<li class="cgExtr" id="CGT-App"><?php _e('Build Your Mobile App','cab-grid');?></li>-->
		<li class="cgExtr" id="CGT-TaxiMap">TaxiMap</li>
		<li class="cgExtr" id="CGT-GoPro"><?php _e('Go Pro','cab-grid');?></li>
	</ul>
</div>
	<form method="post" action="options.php"> 
		<?php settings_fields( 'cabGrid-settings-group' ); ?>
		
		<!-- OPTIONS -->
		<div id="cabGrid-CGT-Options" class="off cabGrid-tab-body">
			
			<?php $cabGridOptions = get_option( 'cabGrid_Options' ); 
					$cabGridCurrency=$cabGridOptions['currency'];
					if($cabGridCurrency==''){
						$cabGridCurrency="£";
					}
					$cabGridCSS=$cabGridOptions['css'];
					if($cabGridCSS==''){
						$cabGridCSS=".cabGrid {}\r\n.cabGridPrice {}\r\n.cabGridMessage {}";
					}
					$cabGridMessage=$cabGridOptions['message'];
					if($cabGridMessage==''){
						$cabGridMessage= __('Please call to book this journey','cab-grid');
					}
					$cabGridPoweredBy=$cabGridOptions['poweredBy'];
					if($cabGridPoweredBy==''){
						$cabGridPoweredBy="y";
					}
			?>
				<p><?php _e('Please select additional options below','cab-grid');?>.</p>
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><?php _e('Currency','cab-grid');?> (<?php _e('Symbol','cab-grid');?>):</th>
					<td><input style="width:2em;font-size:200%;padding:10px;" type="text" name="cabGrid_Options[currency]" value="<?php echo $cabGridCurrency; ?>" /></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Styling','cab-grid');?> (CSS):</th>
					<td><textarea name="cabGrid_Options[css]" rows="10" cols="30"><?php echo $cabGridCSS; ?></textarea></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Message','cab-grid');?> (<?php _e('shown with price','cab-grid');?>):</th>
					<td><textarea name="cabGrid_Options[message]" rows="10" cols="30"><?php echo $cabGridMessage; ?></textarea></td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Show','cab-grid');?> '<i><?php _e('Powered by','cab-grid');?> TaxiMap</i>':</th>
					<td>
						<input type="radio" name="cabGrid_Options[poweredBy]" value="y" <?php if($cabGridPoweredBy=="y"){echo 'checked';}?>><?php _e('Yes','cab-grid');?><br />
						<input type="radio" name="cabGrid_Options[poweredBy]" value="n" <?php if($cabGridPoweredBy=="n"){echo 'checked';}?>><?php _e('No','cab-grid');?>						
					</td>
				</tr>
			</table>
			<div id="cabGrid-Promo-Options" class="cabGridPromo"><!--<a href="http://get.cabgrid.com/basic.php?d=<?php echo $cabGridDomain; ?>" title="Your exclusive discount for Cab Grid Pro"><img src="//cabgrid.com/promo/CabGridPro-Banner.gif" alt="Cab Grid Pro Upgrade Promotion" /></a>--><iframe src="https://get.cabgrid.com/offer.php?d=<?php echo $cabGridDomain; ?>"></iframe></div>
		</div>
		
		
		<!-- PLACES -->
			<div id="cabGrid-CGT-Areas" class="cabGrid-tab-body">
				
				<?php $cabGridPlaces = get_option( 'cabGrid_Places' ); ?>
				<p class="promoPad"><?php _e('Please enter the names of places or areas your travel between.','cab-grid');?></p>
				<p class="cabGridWarning promoPad"><?php _e('WARNING: If you edit these after entering prices, you will lose prices associated with the old area label','cab-grid');?></p>
			<table class="form-table">
				<?php for($i=1;$i<=10;$i++){?>
				<tr valign="top">
					<th scope="row"><?php _e('Area','cab-grid');?> <?php echo $i;?>:</th>
					<td><input type="text" name="cabGrid_Places[place<?php echo $i;?>]" value="<?php echo $cabGridPlaces['place'.$i]; ?>" /></td>
				</tr>
				<?php }?>
			</table>
			<div id="cabGrid-Promo-Places" class="cabGridPromo"><!--<a href="http://get.cabgrid.com/basic.php?d=<?php echo $cabGridDomain; ?>" title="Your exclusive discount for Cab Grid Pro"><img src="//cabgrid.com/promo/CabGridPro-Banner.gif" alt="Cab Grid Pro Upgrade Promotion" /></a>--><iframe src="https://get.cabgrid.com/offer.php?d=<?php echo $cabGridDomain; ?>"></iframe></div>
		</div>
		
		<div id="cabGrid-CGT-Prices" class="off cabGrid-tab-body">
			<!-- PRICES -->
			<p><?php _e('Please enter prices for journeys between these places (hover your mouse over the text field for details).','cab-grid');?><p>
			<p><?php _e('Note: Apart from journeys remaining within a single area, each two places can have both FROM and TO prices. These may often be the same, but you are able to specify different prices if the need arises.','cab-grid');?>
				<br /><?php _e('i.e. The price for a journey starting <i>from</i> place1 going <i>to</i> place2 might be different to the price starting <i>from</i> place2 <i>to</i> place1.','cab-grid');?></p>
			<?php $cabGridPrices = get_option( 'cabGrid_Prices' ); ?>
			<table class="grid">
				
				<tr>
						<th style="padding:0;"><span class="from">&nbsp;&#8681; <?php _e('From','cab-grid');?></span><span class="to">&nbsp;<?php _e('To','cab-grid');?> &#8680;</span></th>
						<?php for($i=1;$i<=10;$i++){?>
							<th class="to"><?php echo $cabGridPlaces['place'.$i]; ?></th>
						<?php }?>
				</tr>
				<?php for($i=1;$i<=10;$i++){?>
					<tr>
						<th scope="row" class="left from"><?php echo $cabGridPlaces['place'.$i]; ?></th>
						<?php for($j=1;$j<=10;$j++){?>
							<td><?php echo $cabGridCurrency;?><input title="<?php _e('Price for journey from','cab-grid');?> <?php echo $cabGridPlaces['place'.$i];?> <?php _e('to','cab-grid');?> <?php echo $cabGridPlaces['place'.$j];?>" type="number" step="any" name="cabGrid_Prices[<?php echo $cabGridPlaces['place'.$i];?>-<?php echo $cabGridPlaces['place'.$j];?>]" value="<?php echo $cabGridPrices[$cabGridPlaces['place'.$i]."-".$cabGridPlaces['place'.$j]]; ?>" /></td>
						<?php }?>
					</tr>
				<?php }?>
			</table>
		</div>
		<div id="cabGrid-CGT-GoPro" class="off cabGrid-tab-body">
			<div id="cabGrid-Promo-GoPro" class="cabGridPromo"><iframe src="https://get.cabgrid.com/offer.php?d=<?php echo $cabGridDomain; ?>"></iframe></div>
			<h3><?php _e('Want more?... Upgrade!','cab-grid');?></h3>
			<p class="promoPad"><?php _e('This is the basic version of Cab Grid.','cab-grid');?> <?php _e('For advanced features consider upgrading to','cab-grid');?> <a href="http://get.cabgrid.com/basic.php?d=<?php echo $cabGridDomain; ?>" title="Find out more about Cab Grid Pro">Cab Grid Pro</a>.</p>
			<p class="promoPad"><strong>Cab Grid Pro</strong> <?php _e('provides the following additional features','cab-grid');?>:
				<ul>
					<li><?php _e('Price variation for different vehicles','cab-grid');?></li>
					<li><?php _e('Unlimited places/areas','cab-grid');?></li>
					<li><?php _e('Integrated booking form','cab-grid');?></li>
					<li><?php _e('Take credit card payments via Paypal','cab-grid');?></li>
					<li><?php _e('More','cab-grid');?>...</li>
				</ul>
			</p>
			<h3><a href="http://get.cabgrid.com/basic.php?d=<?php echo $cabGridDomain; ?>&upgrade=1" target="_blank"><?php _e('Click here to upgrade now','cab-grid');?></a></h3>
		</div>
		<div id="cabGrid-CGT-TaxiMap" class="off cabGrid-tab-body">
			<h3>TaxiMap</h3>
			<p><?php _e('TaxiMap is our more advanced taxi fare price calculator. It leverages Google Maps to calculate prices based on distance. It is highly configurable and offers many advanced features, such as:','cab-grid');?>
				<ul>
					<li><?php _e('Set price variations for time of day, vehicle, zone, and more','cab-grid');?></li>
					<li><?php _e('Easily integrates with your website via dedicated Wordpress plugin or simple code paste','cab-grid');?></li>
					<li><?php _e('Integrated booking process','cab-grid');?></li>
					<li><?php _e('Process credit card payments for taxi bookings','cab-grid');?></li>
					<li><?php _e('Send and receive SMS text message notifications about bookings on your mobile phone','cab-grid');?></li>
				</ul>
			</p>
			<h3><a href="https://taximap.co.uk" target="_blank"><?php _e('Click here to learn more about TaxiMap and sign up for free','cab-grid');?></a></h3>	
		</div>
		<div id="cabGrid-CGT-App" class="off cabGrid-tab-body">
			<h3>iOS &amp; Android <?php _e('App Development','cab-grid');?></h3>
			<p><?php _e('We can build a mobile app for your business! It might not be as expensive as you think. Our apps work on both Apple and Android based devices and offer these features:','cab-grid');?>
				<ul>
					<li><?php _e('Send Push notifications','cab-grid');?></li>
					<li><?php _e('Take bookings via app','cab-grid');?></li>
					<li><?php _e('Bookings added to user\'s calendar','cab-grid');?></li>
					<li><?php _e('Loyalty scheme - reward your customers','cab-grid');?></li>
					<li><?php _e('Social media integration','cab-grid');?></li>
				</ul>
			</p>
			<h3><a href="http://mobile-taxi-app.com/" target="_blank"><?php _e('Visit Mobile Taxi App for more info','cab-grid');?></a></h3>
			
		</div>
	<?php submit_button(); ?>
	</form>
	
	<p class="cabGridAttention"><?php _e('To display the plugin on a page/post, just add the following short-code where you want it to appear<br />(for more info, see plug-in read-me file or visit <a href="http://cabgrid.com/installation-configuration/" target="_blank">cabgrid.com</a>)','cab-grid');?><br /><b>[cabGrid]</b></p>
</div>
<script>
jQuery("#cabGrid-tabs ul li").click(function(){
	jQuery("#cabGrid-tabs ul li").removeClass("active");
	jQuery(".cabGrid-tab-body").hide();
	var cabGridTab=jQuery(this).prop("id");
	jQuery("#cabGrid-"+cabGridTab).show();
	jQuery(this).addClass("active")
});
</script>
<?php }


//function wporg_setting_callback_function() {
//$setting = esc_attr( get_option( 'wporg_setting_name' ) );
//echo "<input type='text' name='wporg_setting_name' value='$setting' />";
//}

?>