<?php
/*
	Plugin Name: Cab Grid
	Plugin URI:  https://cabgrid.com
	Description: Simple A to B taxi price calculator. Use shortcode [cabGrid] to display on your pages/posts. (<a href="http://cabgrid.com">Upgrade to Cab Grid Pro</a>)
	Version:     1.2.2
	Author:      M Williams
	Author URI: http://nimbus.agency
	License:     GPL2
*/
		// If this file is called directly, abort.
		if ( ! defined( 'WPINC' ) ) {
			die;
		}
	
	$cabGridVersion="cgb-1.2.2";
	$cabGridInstance=0;
	
	function cabGrid_install(){
			//setup database
	
		}
	register_activation_hook( __FILE__, 'cabGrid_install' );
	
	
	function cabGrid_scripts(){
			global $cabGridVersion;
			wp_enqueue_style( 'cabGridChosenCSS', plugins_url( 'chosen/chosen.css', __FILE__  ),false,$cabGridVersion );
			wp_enqueue_style( 'cabGridCSS', plugins_url( 'cab-grid.css', __FILE__  ),array('cabGridChosenCSS'),$cabGridVersion );
			wp_enqueue_script( 'cabGridChosen', plugins_url( 'chosen/chosen.js', __FILE__  ), array( 'jquery' ) ,$cabGridVersion );
			
			wp_register_script( 'cabGridJS', plugins_url( 'cab-grid.js', __FILE__ ), array( 'jquery','cabGridChosen' ) ,$cabGridVersion );
			
			$translation_array = array(
				'please_wait' => esc_attr(__( 'Please Wait', 'cab-grid' )),
				'get_price' => esc_attr(__( 'Get Price', 'cab-grid' ))
			);
			wp_localize_script( 'cabGridJS', 'cabGridObj', $translation_array );
			wp_enqueue_script( 'cabGridJS' );
		}
	add_action('wp_enqueue_scripts','cabGrid_scripts');
	
	function cabGrid(){
		ob_start();
		return cabGrid_render();
	}
	function cabGrid_render(){
		global $cabGridInstance;
		$cabGridInstance=$cabGridInstance+1;
		require( dirname(__file__).'/cab-grid-form.php' );
		return $cabGridForm;
	}
	add_shortcode('cabGrid', 'cabGrid');
	
	if ( is_admin() ) {
		require_once( dirname(__file__).'/cab-grid-admin.php' );
	}
	
	function cabGrid_plugin_add_settings_link( $links ) {
		$cabGridInstallDirName=basename(dirname(__FILE__));
		$cabGridAdmin=admin_url ( '/admin.php?page='.$cabGridInstallDirName.'/cab-grid-admin.php');
		$settings_link = '<a href="'.$cabGridAdmin.'">' . __( 'Settings' ) . '</a>';
			array_push( $links, $settings_link );
		$cabGridUpgradeUrl='https://cabgrid.com/buy-download-cab-grid-pro/';
		$cabGridUpgradeLink='<a target="_blank" title="'.__( 'Upgrade to Gab Grid Pro' ).'" href="'.$cabGridUpgradeUrl.'">' . __( 'Upgrade' ) . '</a>';
			array_push( $links, $cabGridUpgradeLink );
	  	return $links;
	}
	$cgPluginDir = plugin_basename( __FILE__ );
	add_filter( "plugin_action_links_$cgPluginDir", 'cabGrid_plugin_add_settings_link' );
	
	//AJAX
	add_action('wp_head','cabGrid_cabGridAJAX');
	function cabGrid_cabGridAJAX() {
		$CGnonce = wp_create_nonce( admin_url('admin-ajax.php') );
	?>
	<script type="text/javascript">
	var cabGridAJAX = {"ajaxurl":"<?php echo admin_url('admin-ajax.php'); ?>","nonce":"<?php echo $CGnonce; ?>"};
	//var cabGridAJAXURL = '<?php echo admin_url('admin-ajax.php'); ?>';
	</script>
	<?php
	}
	add_action( 'wp_ajax_cab_grid_price', 'cab_grid_price' );
	add_action( 'wp_ajax_nopriv_cab_grid_price', 'cab_grid_price' ); // need this to serve non logged in users
	
	function cab_grid_price(){
	 $cabGridfrom = $_POST['from'];
	 $cabGridto = $_POST['to'];
	 
	 $cabGridPlaces = get_option( 'cabGrid_Places' );
	 $cabGridPrices = get_option( 'cabGrid_Prices' );
	 $cabGridPrice=$cabGridPrices[$cabGridPlaces['place'.$cabGridfrom]."-".$cabGridPlaces['place'.$cabGridto]];
	 if($cabGridPrice==""){
	 	$cabGridPrice= __('No price available for this journey','cab-grid');	//"No price available for this journey";
	 } else {
	 	$cabGridPrice=number_format((float)$cabGridPrice, 2, '.', '');
		$cabGridPrice=number_format_i18n( $cabGridPrice, 2 );
	 }
	 echo $cabGridPrice;
	 wp_die();
	 }
	
	
	 //**** CABGRID WIDGET *****\\

	 class CabGridWidget extends WP_Widget
	 {
	 	
	   function CabGridWidget()
	   {
	     $widget_ops = array('classname' => 'CabGridWidget', 'description' => __('Displays CabGrid fare price calculator in your sidebar (or widget area)','cab-grid') );
	     $this->WP_Widget('CabGridWidget', 'CabGrid', $widget_ops);
	   }
 
	   function form($instance)
	   {
	     $instance = wp_parse_args( (array) $instance, array( 'title' => '', 'height' => '320' ) );
	     $title = $instance['title'];
	 	$height = $instance['height'];
	 ?>
	   <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','cab-grid');?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
	   <p><label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height (pixels)','cab-grid');?>: <input class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo esc_attr($height); ?>" /></label></p>
	 <?php
	   }
 
	   function update($new_instance, $old_instance)
	   {
	     $instance = $old_instance;
	     $instance['title'] = $new_instance['title'];
	 	$instance['height'] = $new_instance['height'];
	     return $instance;
	   }
 
	   function widget($args, $instance)
	   {
	     extract($args, EXTR_SKIP);
 
	     echo $before_widget;
	     $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	 	$height = $instance['height'];
 
	     if (!empty($title))
	       echo $before_title . $title . $after_title;
 
		 	require( dirname(__file__).'/cab-grid-form.php' );
	  		echo '<div class="cabGrid_widget" style="min-height:'.$height.'px;">'.$cabGridForm.'</div>';
 
	     echo $after_widget;
	   }
 
	 }
	 add_action( 'widgets_init', create_function('', 'return register_widget("CabGridWidget");') );
	 //this hides __contructor() warning if debug mode on...
	 add_filter('deprecated_constructor_trigger_error', '__return_false');
	 
	 add_action('plugins_loaded', 'wan_load_textdomain');
	 function wan_load_textdomain() {
	 	load_plugin_textdomain( 'cab-grid', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
	 }
	
?>